function rxgp = update_rxn_grp(rxgp, time, volume, stoch_algor)

num_rxns = length(rxgp.rxn);

update_reactions = [1:num_rxns];  %initially need to update all reactions

if stoch_algor == 1

	rxgp.rxn = update_reaction_probabilities(rxgp.rxn, update_reactions, rxgp.cmpd_nums, time, volume, stoch_algor, 0);
    
elseif stoch_algor == 2
    for i = update_reactions
        rxgp.rxn{i}.ai = calc_rxn_prob(rxgp.rxn{i}, rxgp.cmpd_nums, time, volume);
    end
end


